> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Submit external KYC

POST https://api.letsdeel.com/rest/screenings/kyc/external
Content-Type: multipart/form-data

Submits an external KYC record that combines automated Live ID verification (IDV) with a manual review workflow to satisfy identity verification and compliance requirements.

 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/screenings/submit-external-kyc-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (multipart/form-data)

This endpoint expects a multipart form.

- `data` (ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaData, required)

## Response

### 201

KYC data successfully received

- `data` (ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaData

- `created_at` (string, required) — Timestamp when screening was successfully received and processed (ISO 8601)
- `request_id` (string, required) — Request identifier for this KYC submission

### ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "front": "string",
    "last_name": "Doe",
    "first_name": "John",
    "kyc_document": {
      "type": "passport",
      "id_number": "X12345678",
      "issuance_country": "US"
    },
    "date_of_birth": "1985-11-23",
    "screening_type": "live",
    "selfie_with_id": "string",
    "screening_status": "approved"
  }
}
```

**Response**

```json
{
  "data": {
    "created_at": "2017-07-21T17:32:28Z",
    "request_id": "64rpWq2xQT225nGMQIaKg"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/screenings/kyc/external"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "multipart/form-data; boundary=---011000010111000001101001"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/screenings/kyc/external';
const form = new FormData();
form.append('data', '{
  "front": "string",
  "last_name": "Doe",
  "first_name": "John",
  "kyc_document": {
    "type": "passport",
    "id_number": "X12345678",
    "issuance_country": "US"
  },
  "date_of_birth": "1985-11-23",
  "screening_type": "live",
  "selfie_with_id": "string",
  "screening_status": "approved"
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/screenings/kyc/external"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/screenings/kyc/external")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/screenings/kyc/external")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/screenings/kyc/external', [
  'multipart' => [
    [
        'name' => 'data',
        'contents' => '{
  "front": "string",
  "last_name": "Doe",
  "first_name": "John",
  "kyc_document": {
    "type": "passport",
    "id_number": "X12345678",
    "issuance_country": "US"
  },
  "date_of_birth": "1985-11-23",
  "screening_type": "live",
  "selfie_with_id": "string",
  "screening_status": "approved"
}'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/screenings/kyc/external");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "data",
    "value": "{
  \"front\": \"string\",
  \"last_name\": \"Doe\",
  \"first_name\": \"John\",
  \"kyc_document\": {
    \"type\": \"passport\",
    \"id_number\": \"X12345678\",
    \"issuance_country\": \"US\"
  },
  \"date_of_birth\": \"1985-11-23\",
  \"screening_type\": \"live\",
  \"selfie_with_id\": \"string\",
  \"screening_status\": \"approved\"
}"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/screenings/kyc/external")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```